Package org.apache.lucene.codecs.blockterms

## Class TermsIndexReaderBase.FieldIndexEnum

- java.lang.Object
- - org.apache.lucene.codecs.blockterms.TermsIndexReaderBase.FieldIndexEnum

- Enclosing class:
    TermsIndexReaderBase

      public abstract static class TermsIndexReaderBase.FieldIndexEnum
      extends Object

  Similar to TermsEnum, except, the only "metadata" it reports for a given indexed term is the long fileOffset into the main terms dictionary file.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldIndexEnum()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract long` | `next()` | Returns -1 at end
    `abstract long` | `ord()` | Only implemented if `TermsIndexReaderBase.supportsOrd()` returns true.
    `abstract long` | `seek​(long ord)` | Only implemented if `TermsIndexReaderBase.supportsOrd()` returns true.
    `abstract long` | `seek​(BytesRef term)` | Seeks to "largest" indexed term that's <= term; returns file pointer index (into the main terms index file) for that term
    `abstract BytesRef` | `term()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldIndexEnum

          public FieldIndexEnum()

  - ### Method Detail

    - #### seek

          public abstract long seek​(BytesRef term)
                             throws IOException

      Seeks to "largest" indexed term that's <= term; returns file pointer index (into the main terms index file) for that term
      Throws:
        `IOException`

    - #### next

          public abstract long next()
                             throws IOException

      Returns -1 at end
      Throws:
        `IOException`

    - #### term

          public abstract BytesRef term()

    - #### seek

          public abstract long seek​(long ord)
                             throws IOException

      Only implemented if `TermsIndexReaderBase.supportsOrd()` returns true.
      Throws:
        `IOException`

    - #### ord

          public abstract long ord()

      Only implemented if `TermsIndexReaderBase.supportsOrd()` returns true.